#!/bin/bash

# ###########################################################
# Generate configuration file for a road-warrior. 
#
# Parameters:
# 1. name
# 2. IP
# 3. Port
#

. `dirname $0`/roadwarrior.functions
exec 1> >(logger -s -t $(basename $0)) 2>&1

set_variables_config "$1" "$2" "$3"

#print_variables_config

# Dump config to $file_config
echo -e "client\n"\
"remote $ip $port\n"\
"dev tunvpn\n"\
"dev-type tun\n"\
"proto udp\n"\
"resolv-retry infinite\n"\
"nobind\n"\
"persist-key\n"\
"remote-cert-tls server\n"\
"cipher AES-256-CBC\n"\
"verb 3\n" > $file_config

dump_to_config "ca" "$ca_cert" "$file_config" &&
dump_to_config "cert" "$new_cert" "$file_config" &&
dump_to_config "key" "$new_key" "$file_config"
