#!/usr/bin/php
<?php

function logger($facility, $msg)
{
  openlog("CustomerServer", LOG_PID | LOG_NDELAY, LOG_LOCAL0);
  syslog($facility, $msg);  
}

$ovpn_cn        = getenv('common_name');
$device_id      = $ovpn_cn;
$bytes_received = getenv('bytes_received');
$bytes_sent     = getenv('bytes_sent');
$uptime         = time() - getenv('time_unix'); # 'time_unix' holds timestamp of the moment when the client came online.

$phpclientapi = new CSPhpClientApi();

try {
  $phpclientapi->set_rw_offline($device_id);
  $phpclientapi->add_connlog_disconnect($device_id, $bytes_received, $bytes_sent, $uptime);
} catch (Exception $exception) {
  logger(LOG_ERR, $exception->getMessage());
  exit(1);
}

