<?php

namespace AppBundle\Controller;

use AppBundle\Api\CsServerSettings;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class BaseController
 * @package AppBundle\Controller
 */
abstract class BaseController extends Controller
{

    /**
     * @var CsServer
     */
    protected $apiCsServerSettings;

    /**
     * @param string $view
     * @param array $parameters
     * @param Response|null $response
     * @return Response
     */
    protected function render($view, array $parameters = array(), Response $response = null){

        $this->apiCsServerSettings = $this->container->get('cs_api_server_settings');

        $status = $this->apiCsServerSettings->getServiceStatus(CsServerSettings::SERVICE_CS_DAEMON);

        if($this->apiCsServerSettings->isLicenseValid() === true){
            if($status === CsServerSettings::STATUS_ONLINE){
                 return parent::render($view, $parameters, $response);
            } else {
                 $message = 'The service is stopped.';
                 $submessage = '';
            }
        } else {
            $message = 'Missing a valid license.';
            $submessage = 'Get a valid license and then start the service again.';
        }


        $parameters = array('message' => $message, 'submessage' => $submessage);

        return parent::render('app/pages/serverOffline.html.twig', $parameters, $response);

    }

}
