<?php


namespace AppBundle\Controller;

use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * IndexController.
 */
class StatisticsController extends Controller
{

    /**
     * @Route("/stats/server", name="app_cs_statistics")
     *
     * @param Request $request Request
     *
     * @return Response
     */
    public function csStatisticsAction(Request $request){

        $dbApi = $this->container->get('db_api');

        $stats = $dbApi->getCsStats();

        return $this->render('app/pages/statistics/serverStats.html.twig', ['stats' => $stats]);

    }

    /**
     * @Route("/stats/devices", name="app_device_statistics")
     *
     * @param Request $request Request
     *
     * @return Response
     */
    public function deviceStatisticsAction(Request $request){

        $dbApi = $this->container->get('db_api');

        $stats = $dbApi->getDeviceStats(1);

        //var_dump($stats);

        return $this->render('app/pages/statistics/devicesStats.html.twig', ['stats' => $stats]);

    }

}