<?php

namespace AppBundle\Entity;

use AppBundle\Api\CsServerSettings;

/**
 * Class Settings
 * @package AppBundle\Entity
 */
class Settings
{

    /**
     * @var
     */
    private $apiCsServerSettings;



    /**
     * Device constructor.
     * @param $apiCsServerSettings
     */
    public function __construct(CsServerSettings $apiCsServerSettings){

        $this->apiCsServerSettings = $apiCsServerSettings;

        $sections = $this->apiCsServerSettings->getSettingsSectionsInfo();

        foreach ($sections as $section){

            $this->populateObjectData($this->apiCsServerSettings->getSettingsBySection($section['section_id']));

        }

    }

    /**
     * @param $name
     * @return mixed
     */
    public function __get($name){

        return $this->{$name};

    }

    public function __set($name, $value){

        $this->{$name} = $value;

    }

    /**
     * @param array $section
     */
    private function populateObjectData($section){

        foreach ((array)$section as $item){

            $this->{$item['name']} = ($item['value'] == '') ? null : $item['value'];

        }

    }

}
